# ZMQSocket::setSockOpt

(PECL zmq >= 0.5.0)

ZMQSocket::setSockOpt — Establecer una opción de socket

### Descripción

public ZMQSocket::setSockOpt(int `$key`, mixed `$value`): ZMQSocket

Establece una opción de socket de ZMQ. El tipo del valor `value` depende de la clave `key`. Véanse los Tipos de constantes de ZMQ para más información.

### Parámetros

`key`

  Uno de las constantes `ZMQ::SOCKOPT_*`.

`value`

  El valor del parámetro.

### Valores devueltos

Devuelve el objeto actual. Lanaza una ZMQSocketException en caso de error.